﻿Imports C1.WPF.C1Chart

Class MainWindow
    Private Sub Button_Click(sender As Object, e As RoutedEventArgs)
        MessageBox.Show("X Axis Max : " & AxisExtension.GetDispMax(c1Chart1.View.AxisX).ToString() &
                        vbLf & " X Axis Min : " & AxisExtension.GetDispMin(c1Chart1.View.AxisX).ToString() &
                        vbLf & " Y Axis Max : " & AxisExtension.GetDispMax(c1Chart1.View.AxisY).ToString() &
                        vbLf & " Y Axis Min : " & AxisExtension.GetDispMin(c1Chart1.View.AxisY).ToString())
    End Sub
End Class

Public NotInheritable Class AxisExtension
    Private Sub New()
    End Sub

    Public Shared Function GetDispMin(axis As Axis) As Double

        Return axis.ActualMin + axis.Value * (axis.ActualMax - axis.ActualMin) * (1 - axis.Scale)

    End Function

    Public Shared Function GetDispMax(axis As Axis) As Double

        Return axis.ActualMax - (1 - axis.Value) * (axis.ActualMax - axis.ActualMin) * (1 - axis.Scale)

    End Function

End Class

